--[[

Credits:
fillLevelAnimations.lua by GTX MODS

History:
V 1.0 @ 28.04.2017 - Initial Release by GTX MODS

Free to use and edit but please keep credits and update Version Number and descriptions. If edited, send us a copy we would love to see it > https://www.gtxmods.com/contact-us/ 

Designed to be used on the CRT Liquid Trailers and CRT UAL Trailers.
Adds ability to have more than one fillDisplay using the standard <indoorHud> group in the XML.

Digital. EXAMPLE FOR XML:

<indoorHud>
	<fillLevelOne numbers="0>" precision="0" />
	<fillLevelTwo numbers="0>" precision="0" />
</indoorHud>

]]

fillLevelAnimations = {};

function fillLevelAnimations.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end

function fillLevelAnimations:load(savegame)
	self.fillLevelOneAnimations = VehicleHudUtils.loadHud(self, self.xmlFile, "fillLevelOne");
	self.fillLevelTwoAnimations = VehicleHudUtils.loadHud(self, self.xmlFile, "fillLevelTwo");
end

function fillLevelAnimations:update(dt)
	if self.isClient then
		if self.fillLevelOneAnimations ~= nil then
			VehicleHudUtils.setHudValue(self, self.fillLevelOneAnimations, self:getFillLevel(), self:getCapacity());
		end
		if self.fillLevelTwoAnimations ~= nil then
			VehicleHudUtils.setHudValue(self, self.fillLevelTwoAnimations, self:getFillLevel(), self:getCapacity());
		end
	end
end

function fillLevelAnimations:draw()
end

function fillLevelAnimations:mouseEvent(posX, posY, isDown, isUp, button)
end;

function fillLevelAnimations:keyEvent(unicode, sym, modifier, isDown)
end;

function fillLevelAnimations:delete()
end;